#ifndef __CONFIG_H_INCLUDED
#define __CONFIG_H_INCLUDED

#include "wintype.h"

typedef void (*PEXITFUNC)(void);

typedef struct tagGLOBAL_CONFIG {
  PCSTR framebuffer_device;
  UINT32 button_debounce;
  UINT32 sys_mq_length;
} GLOBAL_CONFIG;

extern GLOBAL_CONFIG Gconfig;

extern HRESULT Config_setup(int argc, char *argv[]);
extern HRESULT Config_exitfunc(PEXITFUNC pfn);

#endif /* __CONFIG_H_INCLUDED */
